// Copyright IBM Corp. 2016. All Rights Reserved.
// Node module: apiconnect-collective-controller-api
// US Government Users Restricted Rights - Use, duplication or disclosure
// restricted by GSA ADP Schedule Contract with IBM Corp.

'use strict';

var assert = require('assert');
var util = require('util');

exports.mandatory = function mandatory(value, message) {
  assert(value != null, message);
  return value;
};

// Extend base without modifying it.
exports.extend = function extend(base, extra) {
  return util._extend(util._extend({}, base), extra);
};

exports.nocb = function() {};
